Page MenuHomePhabricator

ApiQueryContentTranslation not respecting the limit parameter
Closed, ResolvedPublic1 Story Points

Description

ApiQueryContentTranslation is a ApiQueryGeneratorBase type class. But it does not take limit parameter as of now. It outputs all translations in one go. If the user has lot of translations, this will result a long list rendered in one go, with all api hits for images starting. This is not ideal since 100 such translations will initiate a 100 api hits for image/descriptions. We need to paginate it for example, load 10 translation and then while page scrolls load next set etc.

The dashboard loading should be fast as much as possible

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDashboard: Show empty list information when suggestions or translations are empty
mediawiki/extensions/ContentTranslation : masterAPI: Support limit and offset params for suggestion and translation queries
mediawiki/extensions/ContentTranslation : masterImplement limit parameter in ApiQueryContentTranslation

Related Objects

Event Timeline

santhosh created this task.Aug 19 2015, 6:02 AM
santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 6:02 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Aug 19 2015, 7:07 AM
Arrbee lowered the priority of this task from High to Medium.Aug 26 2015, 12:21 PM
Arrbee added a subscriber: Arrbee.
Arrbee assigned this task to Nikerabbit.Sep 2 2015, 7:13 AM
Arrbee raised the priority of this task from Medium to High.
Nikerabbit lowered the priority of this task from High to Medium.Sep 3 2015, 12:52 PM
Nikerabbit moved this task from Backlog to In Review on the LE-CX6-Sprint 3 board.
Nikerabbit edited a custom field.

Change 235720 had a related patch set uploaded (by Nikerabbit):
Implement limit parameter in ApiQueryContentTranslation

https://gerrit.wikimedia.org/r/235720

Change 235720 merged by jenkins-bot:
Implement limit parameter in ApiQueryContentTranslation

https://gerrit.wikimedia.org/r/235720

https://gerrit.wikimedia.org/r/235720 merged, that means, we show 100 items in the page now. Once we are done with refactorings of https://gerrit.wikimedia.org/r/#/c/232019/ we can proceed with 'infinite scroll' to load the remaining translations.

Arrbee moved this task from Backlog to In Review on the LE-CX6-Sprint 4 board.Sep 9 2015, 6:40 AM
Nikerabbit moved this task from In Review to Blocked on the LE-CX6-Sprint 4 board.Sep 9 2015, 11:44 AM
Arrbee moved this task from Blocked to In Progress on the LE-CX6-Sprint 4 board.Sep 11 2015, 7:02 AM

Change 239322 had a related patch set uploaded (by Santhosh):
API: Support limit and offset params for suggestion and translation queries

https://gerrit.wikimedia.org/r/239322

Change 239322 merged by jenkins-bot:
API: Support limit and offset params for suggestion and translation queries

https://gerrit.wikimedia.org/r/239322

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.

Change 240068 had a related patch set uploaded (by Nikerabbit):
Dashboard: Show empty list information when suggestions or translations are empty

https://gerrit.wikimedia.org/r/240068

Nikerabbit moved this task from In Review to QA on the LE-CX6-Sprint break board.Sep 30 2015, 9:05 AM

Change 240068 merged by jenkins-bot:
Dashboard: Show empty list information when suggestions or translations are empty

https://gerrit.wikimedia.org/r/240068

Verified that the list is loaded in sets as the user scrolls and reaches the end of the suggestions

Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Sep 30 2015, 12:21 PM
santhosh closed this task as Resolved.Oct 6 2015, 9:31 AM
Arrbee moved this task from In Progress to Done on the LE-CX6-Sprint 4 board.Oct 7 2015, 4:27 AM